#!/bin/bash

################################################################################
# Resource Constants
################################################################################
RES_LIB="${VS_ROOT}/res-lib"
DBUS_API="${RES_LIB}/dbus_api/api.pyc"
DBUS_PID="${VS_RUN}/dbus_api.pid"
REDIS_CONF="${VS_USR_ETC}/redis.conf"
VS_PYTHON_PATH="${RES_LIB}:${VS_USR_LIB}/python3.10/site-packages"

################################################################################
# VS Commands
################################################################################
CMD_BASENAME="/usr/bin/basename"
CMD_PYTHON="/usr/bin/python3"
CMD_REDIS="${VS_ROOT}/usr/bin/redis-server"

################################################################################
# Utils functions
################################################################################
get_lib_path()
{
    local qvm_pkgs=(${PKG_RES})
    local len=${#qvm_pkgs[@]}
    local lib_str=''

    for i in ${qvm_pkgs[@]}; do
        pkg_lib=/usr/share/${i}/usr/lib
        if [ x"${i}" == x"${qvm_pkgs[0]}" ]; then
            lib_str=${pkg_lib}
        else
            lib_str=${pkg_lib}:${lib_str}
        fi
    done
    ${CMD_ECHO} ${lib_str}
}

